package com.yaohun.itemlibrary.manage;

import com.yaohun.itemlibrary.data.RandomData;
import com.yaohun.itemlibrary.main;
import me.Demon.DemonPlugin.DemonAPI;
import org.bukkit.configuration.ConfigurationSection;
import org.bukkit.configuration.file.FileConfiguration;

import java.util.HashMap;
import java.util.List;

public class RandomGroup {

    private HashMap<String, RandomData> randomDataHashMap = new HashMap<>();

    public RandomGroup(){
        FileConfiguration yml = main.plugin.getConfig();
        ConfigurationSection section = yml.getConfigurationSection("ItemsRandGroup");
        if(section == null){
            return;
        }
        for (String groupName : section.getKeys(false)){
            List<String> stringList = section.getStringList(groupName);
            randomDataHashMap.put(groupName,new RandomData(groupName,stringList));
        }
        DemonAPI.sendConsoleMessage("§f[§a!§f] §f随机物品组 §8> §6"+randomDataHashMap.size()+" 个");
    }

    public boolean isRandomDataExit(String groupName){
        if(randomDataHashMap.get(groupName) == null){
            return false;
        }
        return true;
    }

    public RandomData getRandomData(String groupName){
        return randomDataHashMap.get(groupName);
    }
}
